#!/bin/sh
echo ""
if [ "$1" = "-f" ] ; then
   LZMA_OPTS="-a0 -d8 -mc2 -mfhc4"
else
   LZMA_OPTS=""
fi
cd /
KP="/usr/src/linux-$(uname -r)"
echo "Kernel: $KP"
find .${KP} -name "*.o" > /tmp/~excl
find .${KP} -name "*.o.cmd" >> /tmp/~excl
find .${KP} -name "*.ko" >> /tmp/~excl
find .${KP} -name "*.ko.cmd" >> /tmp/~excl
find .${KP} -name ".*.o" >> /tmp/~excl
find .${KP} -name ".*.o.cmd" >> /tmp/~excl
find .${KP} -name ".*.ko" >> /tmp/~excl
find .${KP} -name ".*.ko.cmd" >> /tmp/~excl
find .${KP}/.tmp_versions/ -name "*" >> /tmp/~excl
find .${KP} -name ".*tmp*" >> /tmp/~excl
find .${KP}/arch/i386/boot -name "vmlinux" >> /tmp/~excl
find .${KP}/arch/i386/boot -name "vmlinux.bin*" >> /tmp/~excl
find .${KP}/arch/i386/boot -name "bzImage" >> /tmp/~excl

tar -cvf - --one-file-system --exclude-from=/tmp/~excl \
     .$KP | lzma e /mnt/data/g2v_add_krnl.tar.lzma -si $LZMA_OPTS

#tar -cvf - -T /tmp/~excl | lzma e /mnt/data/g2v_opt_krnl_obj.tar.lzma -si $LZMA_OPTS

echo "$0 end"
echo ""
