#!/bin/sh
export DISPLAY=:0

source /etc/conf.d/vdr

if [ "$SCREEN_RESOLUTION" != "Other" ] ; then
    WIDTH="$(echo $SCREEN_RESOLUTION | cut -f 1 -d "x")"
    HEIGHT="$(echo $SCREEN_RESOLUTION | cut -f 2 -d "x")"
else
    ScreenResolutionNew=$( cat /etc/freevo/freevo.conf | grep -i geometry | cut -f3 -d" " )
    WIDTH="$(echo $ScreenResolutionNew | cut -f 1 -d "x")"
    HEIGHT="$(echo $ScreenResolutionNew | cut -f 2 -d "x")"
fi

#logger "SreenResolution fuer Opera (xrandr) $WIDTH x $HEIGHT !"
xrandr -s '$WIDTH'x'$HEIGHT'
#set -x
sed -i /home/vdr/.opera/sessions/autosave.win -e "s/^x=.*/x=$OPERA_OFFSETX/" -e "s/^y=.*/y=$OPERA_OFFSETY/"
W=$(($WIDTH + $OPERA_ZOOMX))
H=$(($HEIGHT + $OPERA_ZOOMY))
sed -i /home/vdr/.opera/sessions/autosave.win -e "s/^w=.*/w=$W/" -e "s/^h=.*/h=$H/"
if [ "$LANGUAGE" = "Deutsch" ] ; then
   sed -i /home/vdr/.opera/opera6.ini -e "s%Language File=.*%Language File=/opt/opera/share/opera/locale/ouw910_de.lng%"
fi
#exit

key2xd /_config/freevo/opera.key2x &

su vdr -c /usr/bin/opera -fullscreen

killall -9 key2xd
