#!/bin/bash
MOD_AUTO="/etc/modules.autoload.d/kernel-2.6"
MOD_OPTS="/etc/modprobe.d/em8300"

[ -f $MOD_OPTS ] && rm $MOD_OPTS
sed -i $MOD_AUTO -e "/^em8300$/d"  -e "/^adv717x$/d" -e "/^bt865$/d" 
sh /usr/sbin/dxr3config -a -gm
if [ -f $MOD_OPTS ] ; then
   if [ "$(grep "audio_driver" $MOD_OPTS)" = "" ] ; then
      sed -i $MOD_OPTS -e "s/options em8300 /options em8300 audio_driver=oss /"
   fi
   update-modules
   echo "em8300" >> $MOD_AUTO
   echo "adv717x" >> $MOD_AUTO
   echo "bt865" >> $MOD_AUTO
   exit 1   
fi   
exit 0