#!/bin/bash
#
BOARD="Unknown board"
BI="/tmp/~bi"
$(biosinfo > $BI) 

IS_QDI=$(cat $BI | grep -i "QDI Winnex9")
if [ "$IS_QDI" = "" ] ; then
   IS_QDI=$(cat $BI | grep -i "i810-W83627HF")
fi

if [ "$IS_QDI" != "" ] ; then
   BOARD="MP_QDI"
else
   IS_AVT=$(cat $BI | grep -i AVT)
   if [ "$IS_AVT" = "" ] ; then
      IS_AVT=$(cat $BI | grep -i "07/15/97")
   fi
   if [ "$IS_AVT" = "" ] ; then
      IS_AVT=$(cat $BI | grep -i "Instant810C")
   fi
   if [ "$IS_AVT" != "" ] ; then
      IS_AVT121=$(cat $BI | grep -i "1.21")
      if [ "$IS_AVT121" = "" ] ; then
         BOARD="MP_AVT122"
      else
         BOARD="MP_AVT121"
      fi
   else
      IS_EPIAM=$(cat $BI | grep -i "epia m")
      if [ "$IS_EPIAM" = "" ] ; then
         IS_EPIAM=$(cat $BI | grep -i "epia-m")
         if [ "$IS_EPIAM" = "" ] ; then
            IS_EPIAM=$(cat $BI | grep -i "c3m266")
         fi
      fi
      if [ "$IS_EPIAM" != "" ] ; then
         BOARD="EPIA_M"
      else
         IS_ACTIVY=$(cat $BI | grep -i "D1231")
         if [ "$IS_ACTIVY" = "" ] ; then
            IS_ACTIVY=$(cat $BI | grep -i "D1636")
         fi
         if [ "$IS_ACTIVY" = "" ] ; then
            IS_ACTIVY=$(cat $BI | grep -i "4.06  Rev. 1.01.1636")
         fi
        
         if [ "$IS_ACTIVY" != "" ] ; then
            BOARD="ACTIVY"
         fi
      fi
   fi
fi
echo "$BOARD"
