#!/bin/sh
#set -x
cd /_config/update
[ ! -f g2v_up$1.tar.bz2 ] && echo "Update <$1> not found" && exit
ALL_FLS="$(tar -tjf g2v_up$1.tar.bz2 | sed -e "s%^%/%" | sort -u | tr "\n" " ")"
ADD_FLS="$(echo $* | cut -f 2- -d " ")"
for i in $ADD_FLS /_config/update/patches/up$1.* ; do
   if [ -f $i ] ; then
      if [ "$(echo " $ALL_FLS " | grep " $i ")" = "" ]; then
         ALL_FLS="$ALL_FLS $i"
	 echo adding "$i"
      else
         echo "<$i> already in package $1"
      fi	 	
   else
      echo "<$i> does not exist"
#      exit 
   fi
done
[ -f g2v_up$1.tar.bz2 ] && mv g2v_up$1.tar.bz2 g2v_up$1.tar.bz2.old
tar -cjvf g2v_up$1.tar.bz2 $ALL_FLS
echo "tar -cjvf g2v_up$1.tar.bz2 $ALL_FLS"
ls -l $ALL_FLS
md5sum g2v_up$1.tar.bz2 > g2v_md5_fixes
cat g2v_md5_fixes
